Subject: "L R-Squared H"
From: [email-masked] (Richard F. Drushel)
Newsgroups: alt.folklore.computers

Little Red Riding Hood in mathematical notation:

Since many of the symbols have no ASCII equivalents, I have replaced these
with their spoken form.  Apologies for the line spacing, but there is no other
way to get in the superscripts and subscripts.  I have no idea what the real
source of this was, or when it was written; I took it from a Xerox handout
from a math prof in 1980.  Maybe late 1950s?

***************
                                                      2
                The Modern Mathematical Approach to LR H
                            by R.F. Rhinehart
 
     A concomitant of the burgeoning of modern mathematics has been the
increased use of ingenious symbolism to reduce the writing involved
in the communication of mathematical ideas.  It seems regrettable that
the contemporary composers of literature have not seen fit to streamline
their communication methods similarly.  Through ignorance, or design,
they remain blissfully aloof to the opportunities afforded to incorporate
the greater precision in, and to inject a new austere beauty into, their
works.  Consider, for instance, how much more satisfying and appealing
the following well-known classic becomes, when clothed with the new
notational raiment:
 
        There exists t  such that at t=t  there exists [note 1] a small
                      0                 0
                                                     2       2
girl, denoted by Little Red Riding Hood (notation: LR H).  LR H left her
 
                                               2
home, taken as origin, to pay a visit to f(f(LR H)), hereafter denoted
by G), where f is the Murrow mapping [note 2] (daughter) --> (mother).
Her purpose in the visit was the construction of the set G union S, S
being a certain finite subset of the set C union K union Q, where C=
{alpha:alpha=candy}, K={beta:beta=cookie}, and Q={sigma:sigma=other
goodie}.
 
        Now G is an element of the set F, a forest, and the set
W ={w:w alive; w in W}, where W={w:wolf in F}, was not empty.  At t=t >t
 1     2                                                             1  0
  2
LR H met w  element of the set W , who inquired about the zeroes for t>t
          1                     1                                       1
   .   2
of P(LR H), P(X) denoting the position vector of the argument X, and the
dot denoting, as usual, the time derivative.  On learning that the first
zero was at X=G, w  embarked on a minimal variational fixed-endpoint
                  1
                      2
path with termini P(LR H) and P(G).  Arriving at the cottage of G (at
t=t ), he effected the transformation w  union G=w , and donning the
   2                                   1          1
 
nightgear of G ensconced himself in the latter's bed.
 
                                       2
        At t=t >t , the condition ABS(P(LR H)-P(w )) < 6 feet was reached.
              3  2                               1
 
To describe adequately the ensuing conversation it is necessary to
introduce some notation.  Let F (x), F (x), and F (x) denote, respectively,
                               1      2          3
 
the ear length, eye brightness, and tooth sharpness of x.  Let H (y),
                                                                1
 
H (y), and H (y) denote, respectively, the efficiency of w 's acquisition,
 2          3                                             1
 
from y, of energy of the following types:  (1) acoustical, (2) visible
electromagnetic, and (3) nutritional.  The following conversation then
took place, where E(z) denotes, as usual, the expected value of the
variable z:
 
          2
        LR H:  "F (you) >> E(F (x)), G!"   [note 3]       }i=1,2,3
                 i            i
 
        w:     "F (me) maximizes H (you), dear element of set me."
         1       i                i
                                                2
With the last remark for i=3, w leaped out at LR H.
                               1
 
        But, at that very t=t , a woodcutter who had random-walked by
                             4
 
and overheard the conversation, burst into the cottage and axeally
                    _                 _
transformed w  into w  element of set W , the complement of W  in W.
             1       1                 1                     1
                 _
Now fortunately, w was separable, with G as one component, and the
                  1
 
universe of discourse existed happily for t>t .
                                             4
*********************
[note 1]  Note the gain in precision over the time-honored "Once upon
          a time, there was ..."
[note 2]  Also known as Person To Person mapping.
[note 3]  The ! here is an archaic symbol used in literature, and does
          not denote the factorial, or Grandma function.